"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class GwasAssociationStudyTraitScores(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_9 import opencb as opencb_2_9_3

        return {
            "org.opencb.biodata.models.variant.avro.GwasAssociationStudyTraitScores": opencb_2_9_3.GwasAssociationStudyTraitScores,
        }

    __slots__ = [
        "orBeta",
        "pValue",
        "pValueMlog",
        "pValueText",
        "percentCI",
    ]

    def __init__(
        self,
        orBeta=None,
        pValue=None,
        pValueMlog=None,
        pValueText=None,
        percentCI=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_2_9_3.GwasAssociationStudyTraitScores model.

        :param orBeta:
        :type orBeta: None | double
        :param pValue:
        :type pValue: None | double
        :param pValueMlog:
        :type pValueMlog: None | double
        :param pValueText:
        :type pValueText: None | str
        :param percentCI:
        :type percentCI: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.9.3-GEL"
